Subject: Re: bug#29412: 27.0.50; dired-toggle-read-only should (at some point!) check that the direcory is writeable

From: Juri Linkov <[email-masked]>
Date: Sun, 13 Dec 2020 10:32:53 +0200

>> I've now made `C-c C-q' signal an error if the directory isn't writable
>> in Emacs 28.
>
> I don't feel strongly about this, but I wonder whether
> that's the right thing to do.  We do NOT do that for
> files, for example.

OTOH, displaying a warning might go unnoticed by the user.

Then maybe better would be to ask a y-or-n question
whether the user still wants to edit the unwritable buffer.